Xerces-J API: Class StringDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class StringDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--org.apache.xerces.validators.datatype.StringDatatypeValidator

Direct Known Subclasses:
  ENTITYDatatypeValidator, IDDatatypeValidator, IDREFDatatypeValidator

public class StringDatatypeValidator
extends AbstractStringValidator

StringValidator validates that XML content is a W3C string type.

Version:
  $Id: StringDatatypeValidator.java,v 1.27 2001/05/09 18:29:19 elena Exp $
Author:
  Ted Leung, Kito D. Mann, Virtua Communications Corp., Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`StringDatatypeValidator()`
`StringDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkBaseFacetConstraints()`
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String value1, java.lang.String value2)` Compares content in the Domain value vs.
`short` | `getWSFacet()` return value of whiteSpace facet
`protected void` | `inheritAdditionalFacets()`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`checkValueSpace, derivationList, getLength, setTokenType, validate, validateToken`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringDatatypeValidator

    public StringDatatypeValidator()
                            throws InvalidDatatypeFacetException

### StringDatatypeValidator

    public StringDatatypeValidator(DatatypeValidator base,
                                   java.util.Hashtable facets,
                                   boolean derivedByList)
                            throws InvalidDatatypeFacetException

Method Detail

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractStringValidator

### inheritAdditionalFacets

    protected void inheritAdditionalFacets()

  Overrides:
    inheritAdditionalFacets in class AbstractStringValidator

### checkBaseFacetConstraints

    protected void checkBaseFacetConstraints()
                                      throws InvalidDatatypeFacetException

  Overrides:
    checkBaseFacetConstraints in class AbstractStringValidator

### getWSFacet

    public short getWSFacet()

  return value of whiteSpace facet
  Overrides:
    getWSFacet in class AbstractDatatypeValidator

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

  Description copied from interface: DatatypeValidator
  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Tags copied from interface: DatatypeValidator
  Parameters:
    `value1` -
    `valu2` -
  Returns:

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.
  Overrides:
    clone in class AbstractStringValidator
  Tags copied from class: AbstractStringValidator
  Returns:
  Throws:
    java.lang.CloneNotSupportedException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.